// See https://svelte.dev/docs/kit/types#app.d.ts
// for information about these interfaces
declare global {
	namespace App {
		// interface Error {}
		// interface Locals {}
		// interface PageData {}
		// interface PageState {}
		// interface Platform {}
	}

	class Go {
		new(): {
			run: (inst: WebAssembly.Instance) => Promise<void>;
			importObject: WebAssembly.Imports;
		};
	}

	const marka: {
		matchBlocks(s: string, t: string): string;
		detectType(markdown: string): string;
		parseFile(input: string): string;
		parseFileWithTemplate(markdown: string, template: string): string;
		listTemplates(): string;
		getTemplate(name: string): string;
		compileTemplate(source: string): string;
	};
}

export {};